Subject: Re: How to generate map file.
From: Brendan Simon <[email-masked]>
To: Clark Sims <[email-masked]>
Cc: "[email-masked]" <[email-masked]>
Date: Thu, 23 Sep 1999 11:16:50 +1000

Clark Sims wrote:

> System: NT 4 SV5
> Compiler: b20.1  Gcc 2.95
>
> How does one generate a map file. I have tried using the standard flags, -Map -Wi but the compiler doesn't seem to recognize them.

You need to consult the GCC and GLD manuals.  There are some online at www.gnu.org or www.objsw.com.

The linker generates the map file and there are two options.  -M outputs to standard output and -Map <file> outputs to a file.

try these:
$ ld prog.o -M > prog.map
$ ld prog.o -Map prog.map
$ gcc prog.c -Wl,-M > prog.map (I'm not sure if this is will work)
$ gcc prog.c -Wl,-Map,prog.map

$ gcc prog.c -Map prog.map might work as I think gcc passes any unknown command line options to the linker.  If not, then you have to
use -Wl if using gcc to link.

Brendan Simon.

--
Want to unsubscribe from this list?
Send a message to [email-masked]